import { OnInit, EventEmitter, AfterViewInit } from '@angular/core';
import { NumericDataElement } from '../../../core/elements/models/numeric-data-element.model';
import { FormGroup, FormBuilder } from '@angular/forms';
import { SelectedCondition } from '../../../core/models/executed-result.model';
import { SimulatorEngineService } from '../../../core/services/simulator-engine.service';
export declare class AssistNumericElementComponent implements OnInit, AfterViewInit {
    private formBuilder;
    private simulatorEngineService;
    numericDataElement: NumericDataElement;
    imagePath: string;
    returnNumericElement: EventEmitter<{}>;
    numericElementForm: FormGroup;
    selectedCondition: SelectedCondition;
    numberValue: number;
    constructor(formBuilder: FormBuilder, simulatorEngineService: SimulatorEngineService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    loadedNumericValue(id: any, value: any, selectedCondition: any): void;
    choiceSelected(element: any, selectedCondition: any): void;
    onlyIntegerKey(event: any): boolean;
    private createNumericElementForm();
}
